import unittest

from mock import patch

from tests.utils import setup_test_env
setup_test_env()

class RegressionTestCase(unittest.TestCase):

    @patch("gettext.gettext")
    def test_lp1047281(self, mock_gettext):
        # add utf8 encoded data to the return string
        some_utf8_encoded_str = "\xe2\x80\x99"
        mock_gettext.return_value = some_utf8_encoded_str

        # now import so that the problematic code is called
        from softwarecenter.ui.gtk3.widgets.labels import (
            HardwareRequirementsLabel)
        
        # and ensure its not crashing 
        label = HardwareRequirementsLabel()
        self.assertEqual(
            label.SUPPORTED_SYM['no'],
            '<span foreground="red">%s</span>' % some_utf8_encoded_str)


if __name__ == "__main__":
    unittest.main()
